Bug 177150 - The "Run or Display?" dialog has a strange button order.
Summary: The "Run or Display?" dialog has a strange button order.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-06 18:16 UTC by Zack Cerza
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 04:45:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (537.40 KB, image/png)
2006-01-06 18:16 UTC, Zack Cerza
no flags Details
screenshot, cropped (88.53 KB, image/png)
2006-01-06 19:49 UTC, Zack Cerza
no flags Details

Description Zack Cerza 2006-01-06 18:16:00 UTC
Description of problem:
Nautilus' "Run or Display?" dialog has a nonstandard button order:

 [Run in Terminal][Display][Cancel][Run]

IIRC, the leftmost button is supposed to be the "safe" action - probably Cancel,
but then again I think the dialog is scary in general.

Version-Release number of selected component (if applicable):
nautilus-2.12.1-6.x86_64

How reproducible:


Steps to Reproduce:
1. Make, for example, an HTML file executable
2. Double-click on it
  
Additional info:
The file is the index of a user manual found on a CD. I'm not sure why it's
executable...

Comment 1 Zack Cerza 2006-01-06 18:16:00 UTC
Created attachment 122884 [details]
screenshot

Comment 2 Zack Cerza 2006-01-06 19:49:51 UTC
Created attachment 122890 [details]
screenshot, cropped

Comment 3 Matthias Clasen 2006-02-16 04:45:12 UTC
Zack, this follows the HIG theory of 

[Alternate 2][Alternate 1][Cancel][Affirmative]


Note You need to log in before you can comment on or make changes to this bug.